/* Using the #asm construct for Input/Output. */
#define INPUT 1
#define OUTPUT 2

int main(void) {
  int a;
  /* Read some value from INPUT in `a' :  */
#asm R7;
asm(
    in R7,INPUT
    );
 a = R7;
#endasm 

  /* Write `a++' on OUTPUT :  */
#asm R7;
 R7 = a++;
asm(
    out R7,OUTPUT
    );
#endasm 

}
